const React = require('react')
const Section = require('./section')

function BottomPanel (props) {
  return <div className='nav-panel-bottom'>
    {props.sections.map(function (section, i) {
      let cn = 'nav-panel-bottom__section'

      if (!props.isMobile && props.activeSection !== i) {
        cn += ' nav-panel-bottom__section--inactive'
      }

      return <div key={i} className={cn}>
        <Section
          count={i}
          midSection={props.midSections[i]}
          cta={section.cta}
          newTab={section.newTab}
          linkLists={section.linkLists} />
      </div>
    })}
  </div>
}

module.exports = BottomPanel
