const path = require('path')
const webpack = require('webpack')

module.exports = {
  entry: {
    'index': [
      './components/nav/index.js',
      './components/nav/standalone.js'
    ]
  },
  module: {
    loaders: [
      {
        test: /\.js$/,
        loader: 'babel-loader',
        exclude: /node_modules/
      }, {
        test: /\.json$/,
        loader: 'json-loader'
      }
    ]
  },
  output: {
    path: path.join(__dirname, 'public'),
    filename: '[name].js'
  },
  plugins: [
    new webpack.optimize.OccurrenceOrderPlugin(),
    new webpack.DefinePlugin({
      '__dev__': process.env.NODE_ENV === 'development'
    })
  ].concat(process.env.NODE_ENV === 'production'
    ? [
      new webpack.optimize.UglifyJsPlugin({
        compress: { warnings: false }
      })
    ] : [])
}
